SAMLMetadataProfileHandler (Shibboleth Identity Provider 2.2.0 Java API.)
Date: 2010-09-23

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.profile
Class SAMLMetadataProfileHandler

    java.lang.Object
      edu.internet2.middleware.shibboleth.common.profile.provider.AbstractRequestURIMappedProfileHandler
          edu.internet2.middleware.shibboleth.idp.profile.SAMLMetadataProfileHandler

All Implemented Interfaces:
  edu.internet2.middleware.shibboleth.common.profile.ProfileHandler

    public class SAMLMetadataProfileHandler

extends edu.internet2.middleware.shibboleth.common.profile.provider.AbstractRequestURIMappedProfileHandler

A simple profile handler that serves up the IdP's metadata. Eventually this handler should auto generate the metadata but, for now, it just provides information from a static file.

Constructor Summary
`SAMLMetadataProfileHandler(String metadataFile, org.opensaml.xml.parse.ParserPool pool)` Constructor.

Method Summary
`void` | `processRequest(org.opensaml.ws.transport.InTransport in, org.opensaml.ws.transport.OutTransport out)`

Methods inherited from class edu.internet2.middleware.shibboleth.common.profile.provider.AbstractRequestURIMappedProfileHandler
`getRequestPaths, setRequestPaths`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAMLMetadataProfileHandler

    public SAMLMetadataProfileHandler(String metadataFile,
                                      org.opensaml.xml.parse.ParserPool pool)

  Constructor.

  Parameters:
    `metadataFile` - the IdPs metadata file
    `pool` - pool of XML parsers used to parse the metadata

Method Detail

### processRequest

    public void processRequest(org.opensaml.ws.transport.InTransport in,
                               org.opensaml.ws.transport.OutTransport out)
                        throws edu.internet2.middleware.shibboleth.common.profile.ProfileException

  Throws:
    `edu.internet2.middleware.shibboleth.common.profile.ProfileException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Internet2. All Rights Reserved.